defmodule Pasticcio.Repo.Migrations.CreateWalls do
  use Ecto.Migration

  def change do
    create table(:walls) do
      add :public, :boolean, default: false, null: false
      add :rand_id, :text, null: false
      add :ip, :inet
      add :title, :text, null: false

      timestamps()
    end

    create(unique_index(:walls, [:rand_id], name: :wall_rand_id_unique_index))
  end
end
